<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">

	<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/css/bootstrap.min.css" integrity="sha384-zCbKRCUGaJDkqS1kPbPd7TveP5iyJE0EjAuZQTgFLD2ylzuqKfdKlfG/eSrtxUkn" crossorigin="anonymous">

	<title>JavaScript Repetition Control Structures</title>
</head>
<body>


	<div class="m-5">
		<h2>Repetition Control Structures</h2>
		<div class="row">
			<div class="col-4">
				<div class="form-group">
					<label for="">While Loop</label>

					<!-- get user info -->
					<input type="number" name="" id="task1" class="form-control">

					<!-- start the process -->
					<button type="submit" onclick="countUsingWhile()" class="btn btn-primary btn-block mt-5">Enter 1
					</button>
					<!-- Display the message to the user if the value is not valid. -->
					<p class="text-danger" id="message"></p>
				</div>
			</div>
			<div class="col-4">
				<div class="form-group">
					<label for="">Do-While Loop</label>

					<!-- get the user info -->
					<input type="number" name="task2" id="task2" class="form-control">
					<!-- Start the process -->
					<button type="submit" onclick="countUsingDoWhile()" class="btn btn-primary btn-block mt-5">Enter 2
					</button>

					<!-- container message -->
					<h5 class="text-danger" id="info"></h5>
				</div>
			</div>
			<div class="col-4">
				<div class="form-group">
					<label for="">For Loop</label>

					<!-- get the user info -->
					<input type="number" name="task3" id="task3" class="form-control">

					<!-- start the process -->
					<button type="submit" onclick="countUsingForLoop()" class="btn btn-primary btn-block mt-5">Enter 3
					</button>

					<p class="text-muted" id="response"></p>
				</div>
			</div>
		</div>

		<div class="row">
			<div class="form-group">
				<h1>Accessing Elements of a string</h1>

				<!-- User's input -->
				<input type="text" name="name" id="userName" placeholder="Insert Name Here" class="form-control">

				<button type="submit" onclick="getElementsString()" id="getString" class="btn-primary">Get Letters of the Name</button>

				<p class="text-warning m-2" id="stringLength"></p>
			</div>
		</div>
	</div>

	<script src="index.js"></script>



	<script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
	<script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js" integrity="sha384-9/reFTGAW83EW2RDu2S0VKaIzap3H66lZH81PoYlFhbGU+6BZp6G7niu735Sk7lN" crossorigin="anonymous"></script>
	<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/js/bootstrap.min.js" integrity="sha384-VHvPCCyXqtD5DqJeNxl2dtTyhF78xXNXdkwX1CZeRusQfRKp+tA7hAShOK/B/fQ2" crossorigin="anonymous"></script>
</body>
</html>